.campaign-fifty-fifty {
    overflow: hidden;
    position: relative;
    color: #111;
    background-color: #fff;
    isolation: isolate;
    z-index: 9;
}

.campaign-fifty-fifty__shape {
    aspect-ratio: 1/1;
    object-fit: contain;
    width: calc(100% * 530 / 390);
    max-width: auto;
    height: auto;

    position: absolute;
    left: 0%;
    top: 0;
    transform: translate(-50%, -52.4%);
    z-index: -1;
}
.campaign-fifty-fifty__image-wrap {
    position: relative;
    aspect-ratio: 295 / 328;
}
.campaign-fifty-fifty__image {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.campaign-fifty-fifty__play {
    border: none;
    background-color: transparent;
    padding: 0;
}
.campaign-fifty-fifty__play-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;

    aspect-ratio: 1/1;
    width: 40px;
    height: auto;
}

.campaign-fifty-fifty__inner {
    padding: 40px 0;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.campaign-fifty-fifty__title {
    font-size: 30px;
    line-height: 1.2;
    letter-spacing: -1.2px;
    font-family: Plantin;
    text-transform: none;
}
.campaign-fifty-fifty__text {
    margin-top: 20px;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5;
    letter-spacing: -0.64px;
}

.campaign-fifty-fifty__ctas {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 20px 24px;
    margin-top: 30px;
}

.campaign-fifty-fifty__video-wrap {
    position: fixed;
    inset: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 9999;

    display: flex;
    align-items: center;
    justify-content: center;

    opacity: 0;
    pointer-events: none;
    transition: 500ms;
}

.campaign-fifty-fifty__video-wrap.open {
    opacity: 1;
    pointer-events: all;
}
.campaign-fifty-fifty__video-inner {
    aspect-ratio: 16/9;
    max-height: 60vh;
    width: 100%;
    max-width: min(850px, 90vw);
    height: auto;
    position: relative;
}
.campaign-fifty-fifty__video-wrap iframe {
    height: 100%;
    width: 100%;
}

.campaign-fifty-fifty__video-close {
    padding: 0;
    background-color: transparent;
    border: none;

    position: absolute;
    top: 0;
    right: 0;

    transform: translate(0, calc(-100% - 30px));
}

.campaign-fifty-fifty__video-close img {
    width: 16px;
    height: auto;
}

.campaign-fifty-fifty__inner > div:first-child {
    opacity: 0;
}
.campaign-fifty-fifty__inner > div:last-child {
    opacity: 0;
}
.campaign-fifty-fifty__inner > div.in-view:first-child {
    animation-name: slideRight;
    animation-duration: 0.6s;
    animation-timing-function: ease-out;
    animation-fill-mode: forwards;
}
.campaign-fifty-fifty__inner > div.in-view:last-child {
    animation-name: slideLeft;
    animation-duration: 0.6s;
    animation-timing-function: ease-out;
    animation-fill-mode: forwards;
}

@media (min-width: 991px) {
    .campaign-fifty-fifty__inner {
        padding: 90px 0;
        flex-direction: row;
        align-items: center;
        gap: 60px;
    }
    .campaign-fifty-fifty__image-wrap {
        flex: 1 0 0;
        aspect-ratio: 540 / 600;
    }

    .campaign-fifty-fifty__content {
        flex: 1 0 0;
    }

    .campaign-fifty-fifty__play-icon {
        width: 60px;
    }

    .campaign-fifty-fifty__title {
        font-size: 55px;
        line-height: 1;
        letter-spacing: -0.55px;
    }
    .campaign-fifty-fifty__text {
        margin-top: 30px;
    }
    .campaign-fifty-fifty__ctas {
        flex-direction: row;
    }

    .campaign-fifty-fifty__video-close {
        transform: translate(calc(100% + 30px), calc(-100% - 30px));
    }
    .campaign-fifty-fifty__video-close img {
        width: 25px;
    }
    .campaign-fifty-fifty__inner > div.in-view:last-child {
        animation-delay: 0.5s;
    }
}

@media (min-width: 1440px) {
    .campaign-fifty-fifty__inner {
        gap: 180px;
    }
    .campaign-fifty-fifty__shape {
        width: calc(100% * 800 / 1440);
        max-width: auto;
        height: auto;

        position: absolute;
        left: 0%;
        top: 0;
        transform: translate(-50%, -44%);
        z-index: -1;
    }
}
